Subject: Re: bug#34343: [PATCH] Make project--find-regexp-in-files work with remote files

From: Michael Albinus <[email-masked]>
Date: Sun, 29 Dec 2019 13:34:26 +0100

Dmitry Gutov <[email-masked]> writes:

Hi Dmitry,

>> I said already, that expand-file-name isn't needed for
>> file-local-name. I will try to find a better implementation.
>
> Sorry, I guess I misunderstood you, then. I thought you meant to write
> a new function, "a cheaper file-local-name".

There could be both solutions, improve file-local-name, or create a new
function. My strong preference is the former, of course.

> BTW, does file-remote-p always call expand-file-name if the connection
> is already established?

Not always. But even if it calls expand-file-name, this doesn't mean
always that a remote command is fired. This is what is expensive.

Best regards, Michael.